Bug 163904 - potential idea: don't stop on final removal
potential idea: don't stop on final removal
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 17:01 EDT by Bill Nottingham
Modified: 2014-03-16 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:51:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-07-21 17:01:14 EDT
It was mentioned tangentially in a different bug that if you're doing a live
upgrade to rawhide, the following happens.

1. pcmciautils is installed, which obsoletes pcmcia-cs
2. pcmcia-cs is removed
2a. pcmcia-cs sees it's the last instance of itself, so it shuts down
3. Oops, hope you weren't using a PCMCIA network card.

You can't really have pcmciautils restart its version of PCMCIA, since a new
enough kernel may not be running yet (it would likely be installed in the same
transaction.)

So, options are:

1) Push a pcmcia-cs update that simply removes the stop of pcmcia
   from the removal.

Advantages
- PCMCIA will keep running with whatever cards you have inserted already
  until you reboot

Disadvantages
- Instertion of new cards won't work
- There could be other bizarre behavior from cardmgr running without any of
  its config files around

2) Just relnote that if you try a live upgrade, PCMCIA will break, and you'll
   need to reboot into the new kernel.

Opinions?
Comment 1 Jeremy Katz 2005-07-25 16:22:16 EDT
I'd say just go for the release note myself.  It kind of sucks, but it's at
least relatively consistent in how it fails.
Comment 2 John Thacker 2006-10-29 18:13:18 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 3 John Thacker 2007-01-03 09:51:33 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.